> For the complete documentation index, see [llms.txt](https://docs.outpoll.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.outpoll.com/api/rest-api/private-endpoints/balances.md).

# Balances

Use API key authentication for every endpoint on this page.

Need live balance deltas.

Use [Balance Updates](/api/rest-api/websockets/account-and-history-streams/balance-updates.md) for the `balance/ws` stream.

### Get User Balances

```
GET /api/user-balances
```

#### Query parameters

| Parameter     | Type    | Required | Default | Description                         |
| ------------- | ------- | -------- | ------- | ----------------------------------- |
| eventTokenIds | string  | No       | —       | Comma-separated token IDs to filter |
| page          | integer | No       | 0       | Page number                         |
| size          | integer | No       | 100     | Items per page                      |

#### Response `200 OK`

```json
{
  "i": [
    {
      "i": "balance-id",
      "u": "user-id",
      "et": "event-token-id",
      "aop": 0.5,
      "c": 50,
      "v": 55,
      "tv": 55
    }
  ],
  "p": 0,
  "s": 100,
  "tp": 1
}
```

| Field | Type   | Description        |
| ----- | ------ | ------------------ |
| i     | string | Balance ID         |
| u     | string | User ID            |
| et    | string | Event token ID     |
| aop   | number | Average open price |
| c     | number | Cost               |
| v     | number | Value              |
| tv    | number | Total value        |

### Get Full Balances

```
GET /api/user-balances/full
```

#### Response `200 OK`

Uses the same paginated wrapper as `/api/user-balances`.

Each item includes the base fields plus:

| Field | Type    | Description    |
| ----- | ------- | -------------- |
| eq    | string  | Event question |
| ei    | string  | Event icon URL |
| es    | string  | Event slug     |
| on    | string  | Outcome name   |
| tn    | string  | Token name     |
| ip    | boolean | Primary flag   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/private-endpoints/balances.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
